<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ospi2urdf: OsimModel Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ospi2urdf
   </div>
   <div id="projectbrief">Express .osim files as .urdf files.</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacepyopsim.html">pyopsim</a></li><li class="navelem"><a class="el" href="classpyopsim_1_1OsimModel.html">OsimModel</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classpyopsim_1_1OsimModel-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">OsimModel Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Class creating a Osim Model, saving and updating useful informations about it.  
 <a href="classpyopsim_1_1OsimModel.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a32919a7775b3ec618c19b78bb8729ff5"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyopsim_1_1OsimModel.html#a32919a7775b3ec618c19b78bb8729ff5">__init__</a> (self, <a class="el" href="classpyopsim_1_1OsimModel.html#a4d5bb0c360b13429f65cd327c8d0aa12">model_path</a>, <a class="el" href="classpyopsim_1_1OsimModel.html#acb7429e8b1db51f15884b09f2e0e921e">geometry_path</a>, <a class="el" href="namespacepyopsim.html#aaf06840bb7321db3b08b1b60a3792784">ik_path</a>=&quot;&quot;, setup_ik_file=&quot;&quot;, <a class="el" href="classpyopsim_1_1OsimModel.html#ae8a9086a8cf5fa70d76bba969becc9b2">trc_path</a>=&quot;&quot;, visualize=False)</td></tr>
<tr class="memdesc:a32919a7775b3ec618c19b78bb8729ff5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor of the <a class="el" href="classpyopsim_1_1OsimModel.html" title="Class creating a Osim Model, saving and updating useful informations about it. ">OsimModel</a> class.  <a href="#a32919a7775b3ec618c19b78bb8729ff5">More...</a><br /></td></tr>
<tr class="separator:a32919a7775b3ec618c19b78bb8729ff5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a18989969f22d1e18f28773073a74acad"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyopsim_1_1OsimModel.html#a18989969f22d1e18f28773073a74acad">runIK</a> (self)</td></tr>
<tr class="memdesc:a18989969f22d1e18f28773073a74acad"><td class="mdescLeft">&#160;</td><td class="mdescRight">Method used to execute the Inverse Kinematics operation.  <a href="#a18989969f22d1e18f28773073a74acad">More...</a><br /></td></tr>
<tr class="separator:a18989969f22d1e18f28773073a74acad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4101f31b991a0cf3175ba326ed7fb94d"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyopsim_1_1OsimModel.html#a4101f31b991a0cf3175ba326ed7fb94d">setQ</a> (self, LQ, LQtype=0)</td></tr>
<tr class="memdesc:a4101f31b991a0cf3175ba326ed7fb94d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the Q vector of the .osim model, containing the values of each joint of this model.  <a href="#a4101f31b991a0cf3175ba326ed7fb94d">More...</a><br /></td></tr>
<tr class="separator:a4101f31b991a0cf3175ba326ed7fb94d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a69582ad715e9c2efbabd2ae864e1439b"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyopsim_1_1OsimModel.html#a69582ad715e9c2efbabd2ae864e1439b">updModel</a> (self)</td></tr>
<tr class="memdesc:a69582ad715e9c2efbabd2ae864e1439b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Method used to update the different variables of the <a class="el" href="classpyopsim_1_1OsimModel.html" title="Class creating a Osim Model, saving and updating useful informations about it. ">OsimModel</a> class.  <a href="#a69582ad715e9c2efbabd2ae864e1439b">More...</a><br /></td></tr>
<tr class="separator:a69582ad715e9c2efbabd2ae864e1439b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:acbfaf7148ed4a359753fb9778a6d7672"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyopsim_1_1OsimModel.html#acbfaf7148ed4a359753fb9778a6d7672">compl_ik_path</a></td></tr>
<tr class="memdesc:acbfaf7148ed4a359753fb9778a6d7672"><td class="mdescLeft">&#160;</td><td class="mdescRight">Absolute path to the Inverse Kinematics configuration file.  <a href="#acbfaf7148ed4a359753fb9778a6d7672">More...</a><br /></td></tr>
<tr class="separator:acbfaf7148ed4a359753fb9778a6d7672"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a85fef58ab42139eacb8447b7877efce5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyopsim_1_1OsimModel.html#a85fef58ab42139eacb8447b7877efce5">D_body_pos</a></td></tr>
<tr class="memdesc:a85fef58ab42139eacb8447b7877efce5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Dictionary expressing, for each body part, its position and rotation matrix into the Ground referential.  <a href="#a85fef58ab42139eacb8447b7877efce5">More...</a><br /></td></tr>
<tr class="separator:a85fef58ab42139eacb8447b7877efce5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9cc607588687b45adf5b4375556aaa7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyopsim_1_1OsimModel.html#ac9cc607588687b45adf5b4375556aaa7">D_coord_joints</a></td></tr>
<tr class="memdesc:ac9cc607588687b45adf5b4375556aaa7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Dictionary linking the names of the coordinates objects to the name of their respective joints.  <a href="#ac9cc607588687b45adf5b4375556aaa7">More...</a><br /></td></tr>
<tr class="separator:ac9cc607588687b45adf5b4375556aaa7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a34a4a816e61e3f1736c00c702952f589"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyopsim_1_1OsimModel.html#a34a4a816e61e3f1736c00c702952f589">D_gd_prop</a></td></tr>
<tr class="memdesc:a34a4a816e61e3f1736c00c702952f589"><td class="mdescLeft">&#160;</td><td class="mdescRight">Dictionary containing, for each of the coordinates (= DOF) names of the Ground joint, the type and the axis associated with this coordinate.  <a href="#a34a4a816e61e3f1736c00c702952f589">More...</a><br /></td></tr>
<tr class="separator:a34a4a816e61e3f1736c00c702952f589"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af28c923a4294b207b08e28dd56d2ed22"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyopsim_1_1OsimModel.html#af28c923a4294b207b08e28dd56d2ed22">D_joints_coord</a></td></tr>
<tr class="memdesc:af28c923a4294b207b08e28dd56d2ed22"><td class="mdescLeft">&#160;</td><td class="mdescRight">Dictionary linking the names of the joints to the names of the coordinates objects associated with these joints.  <a href="#af28c923a4294b207b08e28dd56d2ed22">More...</a><br /></td></tr>
<tr class="separator:af28c923a4294b207b08e28dd56d2ed22"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7486798388859d931446ac93e5b5d5e8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyopsim_1_1OsimModel.html#a7486798388859d931446ac93e5b5d5e8">D_joints_pos</a></td></tr>
<tr class="memdesc:a7486798388859d931446ac93e5b5d5e8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Dictionary expressing, for each joint, its position and rotation matrix in the global referential Ground.  <a href="#a7486798388859d931446ac93e5b5d5e8">More...</a><br /></td></tr>
<tr class="separator:a7486798388859d931446ac93e5b5d5e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a434c26fc6e748829e0ae0cb2b0080661"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyopsim_1_1OsimModel.html#a434c26fc6e748829e0ae0cb2b0080661">D_joints_range</a></td></tr>
<tr class="memdesc:a434c26fc6e748829e0ae0cb2b0080661"><td class="mdescLeft">&#160;</td><td class="mdescRight">Dictionary linking the name of the coordinate objects with their minimum and maximum amplitude on their DOF.  <a href="#a434c26fc6e748829e0ae0cb2b0080661">More...</a><br /></td></tr>
<tr class="separator:a434c26fc6e748829e0ae0cb2b0080661"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47d05410881806ad1a55788afe00459f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyopsim_1_1OsimModel.html#a47d05410881806ad1a55788afe00459f">D_joints_value</a></td></tr>
<tr class="memdesc:a47d05410881806ad1a55788afe00459f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Dictionary expressing, for each coordinate object, its value.  <a href="#a47d05410881806ad1a55788afe00459f">More...</a><br /></td></tr>
<tr class="separator:a47d05410881806ad1a55788afe00459f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26f66fa9d9cb8ff3958164d6e6caf797"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyopsim_1_1OsimModel.html#a26f66fa9d9cb8ff3958164d6e6caf797">D_jp</a></td></tr>
<tr class="memdesc:a26f66fa9d9cb8ff3958164d6e6caf797"><td class="mdescLeft">&#160;</td><td class="mdescRight">Dictionary expressing, for each joint, its position and rotation matrix in the referential of the parent joint.  <a href="#a26f66fa9d9cb8ff3958164d6e6caf797">More...</a><br /></td></tr>
<tr class="separator:a26f66fa9d9cb8ff3958164d6e6caf797"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9265e92b4b23ffe0b87690a0285ae92a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyopsim_1_1OsimModel.html#a9265e92b4b23ffe0b87690a0285ae92a">D_Q_coord</a></td></tr>
<tr class="memdesc:a9265e92b4b23ffe0b87690a0285ae92a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Dictionary linking the index associated with the value of the joints of the model, for the variable coordinateSet and the variable Q.  <a href="#a9265e92b4b23ffe0b87690a0285ae92a">More...</a><br /></td></tr>
<tr class="separator:a9265e92b4b23ffe0b87690a0285ae92a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb7429e8b1db51f15884b09f2e0e921e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyopsim_1_1OsimModel.html#acb7429e8b1db51f15884b09f2e0e921e">geometry_path</a></td></tr>
<tr class="memdesc:acb7429e8b1db51f15884b09f2e0e921e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Absolute path to the .vtp files.  <a href="#acb7429e8b1db51f15884b09f2e0e921e">More...</a><br /></td></tr>
<tr class="separator:acb7429e8b1db51f15884b09f2e0e921e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d5bb0c360b13429f65cd327c8d0aa12"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyopsim_1_1OsimModel.html#a4d5bb0c360b13429f65cd327c8d0aa12">model_path</a></td></tr>
<tr class="memdesc:a4d5bb0c360b13429f65cd327c8d0aa12"><td class="mdescLeft">&#160;</td><td class="mdescRight">Absolute path to the .osim file (with the .osim filename).  <a href="#a4d5bb0c360b13429f65cd327c8d0aa12">More...</a><br /></td></tr>
<tr class="separator:a4d5bb0c360b13429f65cd327c8d0aa12"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2dc74f12fb449f1ea4d5c1496851cb15"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyopsim_1_1OsimModel.html#a2dc74f12fb449f1ea4d5c1496851cb15">motion_file</a></td></tr>
<tr class="memdesc:a2dc74f12fb449f1ea4d5c1496851cb15"><td class="mdescLeft">&#160;</td><td class="mdescRight">Absolute path to the output motion file of the Inverse Kinematics.  <a href="#a2dc74f12fb449f1ea4d5c1496851cb15">More...</a><br /></td></tr>
<tr class="separator:a2dc74f12fb449f1ea4d5c1496851cb15"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a889532bd111eec9521fc0970d0e201be"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyopsim_1_1OsimModel.html#a889532bd111eec9521fc0970d0e201be">osimModel</a></td></tr>
<tr class="memdesc:a889532bd111eec9521fc0970d0e201be"><td class="mdescLeft">&#160;</td><td class="mdescRight">Object describing a .osim model, from the opensim module.  <a href="#a889532bd111eec9521fc0970d0e201be">More...</a><br /></td></tr>
<tr class="separator:a889532bd111eec9521fc0970d0e201be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9fdcc0d58ae4d643bdaf405dbbf3207"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyopsim_1_1OsimModel.html#ac9fdcc0d58ae4d643bdaf405dbbf3207">osimState</a></td></tr>
<tr class="memdesc:ac9fdcc0d58ae4d643bdaf405dbbf3207"><td class="mdescLeft">&#160;</td><td class="mdescRight">Object describing the state of a .osim model, from the opensim module.  <a href="#ac9fdcc0d58ae4d643bdaf405dbbf3207">More...</a><br /></td></tr>
<tr class="separator:ac9fdcc0d58ae4d643bdaf405dbbf3207"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8a9086a8cf5fa70d76bba969becc9b2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyopsim_1_1OsimModel.html#ae8a9086a8cf5fa70d76bba969becc9b2">trc_path</a></td></tr>
<tr class="memdesc:ae8a9086a8cf5fa70d76bba969becc9b2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Absolute path to the .trc file.  <a href="#ae8a9086a8cf5fa70d76bba969becc9b2">More...</a><br /></td></tr>
<tr class="separator:ae8a9086a8cf5fa70d76bba969becc9b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Class creating a Osim Model, saving and updating useful informations about it. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a32919a7775b3ec618c19b78bb8729ff5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a32919a7775b3ec618c19b78bb8729ff5">&#9670;&nbsp;</a></span>__init__()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def __init__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>model_path</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>geometry_path</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>ik_path</em> = <code>&quot;&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>setup_ik_file</em> = <code>&quot;&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>trc_path</em> = <code>&quot;&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>visualize</em> = <code>False</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor of the <a class="el" href="classpyopsim_1_1OsimModel.html" title="Class creating a Osim Model, saving and updating useful informations about it. ">OsimModel</a> class. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">model_path</td><td>: String. Absolute path to the .osim file (with the .osim filename).</td></tr>
    <tr><td class="paramname">geometry_path</td><td>: String. Path to the .vtp files associated with the .osim model.</td></tr>
    <tr><td class="paramname">ik_path</td><td>: String, optional. Path to the Inverse Kinematics configuration file. The default is "".</td></tr>
    <tr><td class="paramname">setup_ik_file</td><td>: String, optional. Name of the Inverse Kinematics configuration file. This file is used to set parameters of the Inverse Kinematics operation (weight of each markers of the model for example). The default is "".</td></tr>
    <tr><td class="paramname">trc_path</td><td>: String, optional. Path to a trc file associated with the .osim file. This file contains the different positions of each one of the markers of the model, at each time. This file is then used to determine the position of each one of the joints of the model at each time. The default is "".</td></tr>
    <tr><td class="paramname">visualize</td><td>: Boolean, optional Activate the visualization of the model. The default is False.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None. </dd></dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a18989969f22d1e18f28773073a74acad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a18989969f22d1e18f28773073a74acad">&#9670;&nbsp;</a></span>runIK()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def runIK </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Method used to execute the Inverse Kinematics operation. </p>
<p>The variables motion_file (=path to the output motion file of Inverse Kinematics), compl_ik_path (= path to the Inverse Kinematics configuration file) and trc_path (= path to the marker file used by Inverse Kinematics) should be defined first. Those variables are defined at the constructor step if the variables ik_path, setup_ik_file and trc_path were defined.</p>
<dl class="section return"><dt>Returns</dt><dd>None. </dd></dl>

</div>
</div>
<a id="a4101f31b991a0cf3175ba326ed7fb94d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4101f31b991a0cf3175ba326ed7fb94d">&#9670;&nbsp;</a></span>setQ()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def setQ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>LQ</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>LQtype</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the Q vector of the .osim model, containing the values of each joint of this model. </p>
<p>Those values are set in accordance to a list of variables LQ.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">LQ</td><td>: List. <pre class="fragment">List containing the values of each joint of the model.
</pre></td></tr>
    <tr><td class="paramname">LQtype</td><td>: Int. <pre class="fragment">Define the configuration of the LQ list.

Type 0 : Configuration according to the order of the CoordinateSet
variable of the .osim Model.
LQ[i] corresponds to the desired value of CoordinateSet[i]. As there
is no direct link between CoordinateSet[i] and Q[i], a transformation is
necessary.

Type 1 : Configuration according to the order of Q vector used by 
osimState.
LQ[i] corresponds to the desired value of Q[i] used by osimState. 
Here, no transformation is necessary.            

The default is 0.
</pre></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None. </dd></dl>

</div>
</div>
<a id="a69582ad715e9c2efbabd2ae864e1439b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a69582ad715e9c2efbabd2ae864e1439b">&#9670;&nbsp;</a></span>updModel()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def updModel </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Method used to update the different variables of the <a class="el" href="classpyopsim_1_1OsimModel.html" title="Class creating a Osim Model, saving and updating useful informations about it. ">OsimModel</a> class. </p>
<p>This method should be called after each operation on the state of the .osim model.</p>
<dl class="section return"><dt>Returns</dt><dd>None. </dd></dl>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="acbfaf7148ed4a359753fb9778a6d7672"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acbfaf7148ed4a359753fb9778a6d7672">&#9670;&nbsp;</a></span>compl_ik_path</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">compl_ik_path</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Absolute path to the Inverse Kinematics configuration file. </p>

</div>
</div>
<a id="a85fef58ab42139eacb8447b7877efce5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a85fef58ab42139eacb8447b7877efce5">&#9670;&nbsp;</a></span>D_body_pos</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">D_body_pos</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Dictionary expressing, for each body part, its position and rotation matrix into the Ground referential. </p>

</div>
</div>
<a id="ac9cc607588687b45adf5b4375556aaa7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac9cc607588687b45adf5b4375556aaa7">&#9670;&nbsp;</a></span>D_coord_joints</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">D_coord_joints</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Dictionary linking the names of the coordinates objects to the name of their respective joints. </p>

</div>
</div>
<a id="a34a4a816e61e3f1736c00c702952f589"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a34a4a816e61e3f1736c00c702952f589">&#9670;&nbsp;</a></span>D_gd_prop</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">D_gd_prop</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Dictionary containing, for each of the coordinates (= DOF) names of the Ground joint, the type and the axis associated with this coordinate. </p>

</div>
</div>
<a id="af28c923a4294b207b08e28dd56d2ed22"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af28c923a4294b207b08e28dd56d2ed22">&#9670;&nbsp;</a></span>D_joints_coord</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">D_joints_coord</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Dictionary linking the names of the joints to the names of the coordinates objects associated with these joints. </p>

</div>
</div>
<a id="a7486798388859d931446ac93e5b5d5e8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7486798388859d931446ac93e5b5d5e8">&#9670;&nbsp;</a></span>D_joints_pos</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">D_joints_pos</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Dictionary expressing, for each joint, its position and rotation matrix in the global referential Ground. </p>

</div>
</div>
<a id="a434c26fc6e748829e0ae0cb2b0080661"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a434c26fc6e748829e0ae0cb2b0080661">&#9670;&nbsp;</a></span>D_joints_range</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">D_joints_range</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Dictionary linking the name of the coordinate objects with their minimum and maximum amplitude on their DOF. </p>

</div>
</div>
<a id="a47d05410881806ad1a55788afe00459f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a47d05410881806ad1a55788afe00459f">&#9670;&nbsp;</a></span>D_joints_value</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">D_joints_value</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Dictionary expressing, for each coordinate object, its value. </p>

</div>
</div>
<a id="a26f66fa9d9cb8ff3958164d6e6caf797"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a26f66fa9d9cb8ff3958164d6e6caf797">&#9670;&nbsp;</a></span>D_jp</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">D_jp</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Dictionary expressing, for each joint, its position and rotation matrix in the referential of the parent joint. </p>
<p>(Those values should be fixed) </p>

</div>
</div>
<a id="a9265e92b4b23ffe0b87690a0285ae92a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9265e92b4b23ffe0b87690a0285ae92a">&#9670;&nbsp;</a></span>D_Q_coord</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">D_Q_coord</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Dictionary linking the index associated with the value of the joints of the model, for the variable coordinateSet and the variable Q. </p>

</div>
</div>
<a id="acb7429e8b1db51f15884b09f2e0e921e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acb7429e8b1db51f15884b09f2e0e921e">&#9670;&nbsp;</a></span>geometry_path</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">geometry_path</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Absolute path to the .vtp files. </p>

</div>
</div>
<a id="a4d5bb0c360b13429f65cd327c8d0aa12"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4d5bb0c360b13429f65cd327c8d0aa12">&#9670;&nbsp;</a></span>model_path</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">model_path</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Absolute path to the .osim file (with the .osim filename). </p>

</div>
</div>
<a id="a2dc74f12fb449f1ea4d5c1496851cb15"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2dc74f12fb449f1ea4d5c1496851cb15">&#9670;&nbsp;</a></span>motion_file</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">motion_file</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Absolute path to the output motion file of the Inverse Kinematics. </p>

</div>
</div>
<a id="a889532bd111eec9521fc0970d0e201be"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a889532bd111eec9521fc0970d0e201be">&#9670;&nbsp;</a></span>osimModel</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">osimModel</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Object describing a .osim model, from the opensim module. </p>

</div>
</div>
<a id="ac9fdcc0d58ae4d643bdaf405dbbf3207"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac9fdcc0d58ae4d643bdaf405dbbf3207">&#9670;&nbsp;</a></span>osimState</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">osimState</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Object describing the state of a .osim model, from the opensim module. </p>

</div>
</div>
<a id="ae8a9086a8cf5fa70d76bba969becc9b2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae8a9086a8cf5fa70d76bba969becc9b2">&#9670;&nbsp;</a></span>trc_path</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">trc_path</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Absolute path to the .trc file. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>src/examples/<a class="el" href="pyopsim_8py.html">pyopsim.py</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
